# Novius OS [![Build Status](https://travis-ci.org/novius-os/novius-os.png?branch=master/elche)](https://travis-ci.org/novius-os/novius-os) [![Gitter chat](https://badges.gitter.im/novius-os.png)](https://gitter.im/novius-os)

Novius OS is an **Open Source PHP Content Management System designed as an applications platform**, hence the ‘OS’ suffix. You tailor Novius OS to your content through the creation of custom applications. Your well-structured content is to ready to be published to any channel—present and future.

Novius OS is **built with the MVC framework, FuelPHP**. “FuelPHP is a simple, flexible, community driven PHP 5.3+ framework, based on the best ideas of other frameworks, with a fresh start!” Novius OS HTML5 interface is **powered by jQuery UI** and the Wijmo library.

* Current version: Novius OS 5.0.1 (Elche)

## Requirements

* Novius OS requires PHP 5.3+, a SQL database and an HTTP server.
* Fully tested on LAMP (Ubuntu) and WAMP (Apache’s mod_rewrite enabled).
* Community tested on Nginx and Raspberry Pi.
* Can theoretically run on Mac and/or PostgreSQL.

## Installation

(This is the quick install procedure. Command line access to the server with sudo admin rights
and Git are required. [Alternative methods](http://docs.novius-os.org/en/elche/install/install.html) are available.)

Open a terminal and run:
```bash
cd /var/www
sudo wget http://raw.github.com/novius-os/ci/master/elche/tools/install.sh && sh install.sh
```

Once the installation completes:
* Open your browser at http://your.domain/novius-os/ (replace novius-os with the directory name you’ve chosen).
* Let the install wizard guide you.

## Documentation & support

All you need to know to create applications, extend existing ones or contribute to Novius OS is to be found at [docs.novius-os.org](http://docs.novius-os.org).

If you don’t find answers to your questions in the docs, you’ll find help in [the forum](http://forums.novius-os.org/en).

_La [documentation](http://docs-fr.novius-os.org) et le [forum](http://forums.novius-os.org) sont aussi disponibles en français._

## Demo & further information

* Give Novius OS a try at [demo.novius-os.org](http://demo.novius-os.org/admin).
* Follow the project news on [the blog](http://community.novius-os.org) or [Twitter](http://twitter.com/NoviusOS).
* Watch screencasts on [Novius OS YouTube channel](http://www.youtube.com/NoviusOS).

## Contacts & contributions

* Contact the [core team](http://community.novius-os.org/more-info/contacts/team-credits.html).
* Meet our [awesome contributors](http://community.novius-os.org/Get-involved/our-awesome-contributors.html).
* You, too, can contribute to Novius OS—even if you only have a few minutes to spare. Read our guide on [how to get involved](http://community.novius-os.org/Get-involved/how-to-get-involved.html).

## License

Novius OS is licensed under [GNU Affero General Public License v3](http://www.gnu.org/licenses/agpl-3.0.html) or (at your option) any later version.
